GET api/NTCosCompany/GetNotifyEmail?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfNotifyEmailDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of NotifyEmailDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "CorporationCode": "sample string 2",
      "BranchCode": "sample string 3",
      "DivisionCode": "sample string 4",
      "WLCode": "sample string 5",
      "IsErgonomicRelated": true,
      "Email": "sample string 6",
      "Type": 1,
      "TypeName": "sample string 7",
      "WrokLocationName": "sample string 8",
      "IsEnRouteNotification": true,
      "CompanyCodehierarchy": "sample string 9",
      "byLevel": "sample string 10",
      "Level1": "sample string 11",
      "Level2": "sample string 12",
      "Level3": "sample string 13",
      "Level4": "sample string 14",
      "Level5": "sample string 15",
      "ServiceType": 16,
      "IsUserDefineField": true,
      "ColumnName": "sample string 18",
      "UserDefinedValues": [
        {
          "Id": 1,
          "NotifyEmailId": 2,
          "FieldName": "sample string 3",
          "Value": "sample string 4",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T14:28:25.203242-07:00",
          "DateUpdated": "2026-08-04T14:28:25.203242-07:00",
          "UserIDCreated": 8,
          "UserIDUpdated": 9,
          "CompanyCode": "sample string 10",
          "IsExcludeDiscount": true
        },
        {
          "Id": 1,
          "NotifyEmailId": 2,
          "FieldName": "sample string 3",
          "Value": "sample string 4",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T14:28:25.203242-07:00",
          "DateUpdated": "2026-08-04T14:28:25.203242-07:00",
          "UserIDCreated": 8,
          "UserIDUpdated": 9,
          "CompanyCode": "sample string 10",
          "IsExcludeDiscount": true
        }
      ],
      "ClinicalPathwayTypeId": 1,
      "ClinicalPathwayTypeName": "sample string 19",
      "EmailNotificationEncounterTypeId": 1,
      "GroupId": "sample string 20",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:28:25.203242-07:00",
      "DateUpdated": "2026-08-04T14:28:25.203242-07:00",
      "UserIDCreated": 24,
      "UserIDUpdated": 25,
      "CompanyCode": "sample string 26",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "CorporationCode": "sample string 2",
      "BranchCode": "sample string 3",
      "DivisionCode": "sample string 4",
      "WLCode": "sample string 5",
      "IsErgonomicRelated": true,
      "Email": "sample string 6",
      "Type": 1,
      "TypeName": "sample string 7",
      "WrokLocationName": "sample string 8",
      "IsEnRouteNotification": true,
      "CompanyCodehierarchy": "sample string 9",
      "byLevel": "sample string 10",
      "Level1": "sample string 11",
      "Level2": "sample string 12",
      "Level3": "sample string 13",
      "Level4": "sample string 14",
      "Level5": "sample string 15",
      "ServiceType": 16,
      "IsUserDefineField": true,
      "ColumnName": "sample string 18",
      "UserDefinedValues": [
        {
          "Id": 1,
          "NotifyEmailId": 2,
          "FieldName": "sample string 3",
          "Value": "sample string 4",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T14:28:25.203242-07:00",
          "DateUpdated": "2026-08-04T14:28:25.203242-07:00",
          "UserIDCreated": 8,
          "UserIDUpdated": 9,
          "CompanyCode": "sample string 10",
          "IsExcludeDiscount": true
        },
        {
          "Id": 1,
          "NotifyEmailId": 2,
          "FieldName": "sample string 3",
          "Value": "sample string 4",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T14:28:25.203242-07:00",
          "DateUpdated": "2026-08-04T14:28:25.203242-07:00",
          "UserIDCreated": 8,
          "UserIDUpdated": 9,
          "CompanyCode": "sample string 10",
          "IsExcludeDiscount": true
        }
      ],
      "ClinicalPathwayTypeId": 1,
      "ClinicalPathwayTypeName": "sample string 19",
      "EmailNotificationEncounterTypeId": 1,
      "GroupId": "sample string 20",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:28:25.203242-07:00",
      "DateUpdated": "2026-08-04T14:28:25.203242-07:00",
      "UserIDCreated": 24,
      "UserIDUpdated": 25,
      "CompanyCode": "sample string 26",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}